#pragma once
#include "Mod.h"

class FastBreak : public Mod {
public:
	int mode = 0;

	float percentage = 0.8f;
	float delay = 0.8f;

	FastBreak() : Mod(_("Fast Break"), _("Speed up the digging of the block."), Category::OTHER) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(1), new int(0), 1, {
			_("Delay"),
			_("Percentage")
			}, true });

		settings.push_back(new Setting{ _("Percentage"), &percentage, new float(1.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Delay"), &delay, new float(1.f), new float(0.f), 2, {}, true });

		enabled = false;
	}

private:
	int delay_ = 0;
	bool stopdestroy = false;

	virtual auto onClient() -> void override;
	virtual auto onImGuiRender() -> void override;
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto getMode() -> std::string override;
};
